Bug 12932 - talloc_autofree_context() is still used in 4.7.0 code.
talloc_autofree_context() is still used in 4.7.0 code.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 19:02 UTC by Jeremy Allison
Modified: 2017-08-21 09:33 UTC (History)
5 users (show)

See Also:


Attachments
git-am fix for master. (26.84 KB, patch)
2017-07-24 23:25 UTC, Jeremy Allison
no flags Details
git-am fix for 4.7.0 (26.55 KB, patch)
2017-07-26 23:41 UTC, Jeremy Allison
metze: review-
Details
Updated patch - back ported from master. (26.48 KB, patch)
2017-08-14 20:09 UTC, Jeremy Allison
metze: review-
Details
Updated patch, cherry picked from master. (27.54 KB, patch)
2017-08-15 18:15 UTC, Jeremy Allison
jra: review? (metze)
jra: review? (slow)
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2017-07-24 19:02:21 UTC
Would be nice to finally get rid of this for the 4.7.0 release. I'm working on a patch that may or may not make the release date.
Comment 1 Jeremy Allison 2017-07-24 23:25:07 UTC
Created attachment 13425 [details]
git-am fix for master.

Compiles, but not yet run through autobuild. Wanted to save a copy here for reference.
Comment 2 Jeremy Allison 2017-07-26 23:41:03 UTC
Created attachment 13435 [details]
git-am fix for 4.7.0

Directly cherry-picked from the patchset that went into master. Applies cleanly to 4.7.0.
Comment 3 Stefan Metzmacher 2017-08-07 08:17:10 UTC
Comment on attachment 13435 [details]
git-am fix for 4.7.0

Sorry, but we can't use #include "lib/talloc/talloc.h" in any code.

All code outside of lib/talloc has to use #include <talloc.h>
in order to use the correct talloc.h, which may come from the system.
Comment 4 Jeremy Allison 2017-08-14 20:09:40 UTC
Created attachment 13473 [details]
Updated patch - back ported from master.

Removes the internal talloc header, pulls in the system one instead. Thanks for noticing metze. Patch for master will be posted on the list shortly.

Jeremy.
Comment 5 Stefan Metzmacher 2017-08-14 22:18:56 UTC
Comment on attachment 13473 [details]
Updated patch - back ported from master.

Hi Jeremy, please wait for the change to land in master and then
just cherry pick everything, we shouldn't have different patchsets between 4.7 and master
Comment 6 Jeremy Allison 2017-08-15 18:15:40 UTC
Created attachment 13475 [details]
Updated patch, cherry picked from master.

Contains additional cherry pick of lib/talloc/talloc.h > <talloc.h> from master.
Comment 7 Andreas Schneider 2017-08-17 08:36:52 UTC
Karolin, please add the patch to 4.7. Thanks
Comment 8 Karolin Seeger 2017-08-17 08:38:31 UTC
Pushed to autobuild-v4-7-test.
Comment 9 Karolin Seeger 2017-08-21 09:33:26 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to v4-7-test.
Closing out bug report.

Thanks!